#!/usr/bin/env python
# -*- coding: utf-8 -*-

# This file contains functionality to get information about Hanja character.

from hanjaq.dictionary import build_hanja_dict


def get_hanja_information(hanja_ch):
    """ Returns the Hangul representation and meaning of a Hanja character.

    If the Hanja character is not recognized, this function returns a tuple
    containing empty strings.

    :param str hanja_ch: a hanja character

    :rtype: (str, str)
    :return: Hangul representation and meaning of Hanja character
    """
    return build_hanja_dict().get(hanja_ch, ("", ""))
